function iScollUpdate() {
	var myScroll;
	var pullDownEl, pullDownL;
	var pullUpEl, pullUpL;
	var Downcount = 0,
		Upcount = 0;
	var loadingStep = 0; //加载状态0默认，1显示加载状态，2执行加载数据，只有当为0时才能再次加载，这是防止过快拉动刷新  
	var pullDownAction, pullUpAction;
	/***
	在使用此组件的对象，前面固定用：

		<div id="pullDown">
			<span class="pullDownIcon"></span><span class="pullDownLabel">下拉刷新...</span>
		</div>
		后面固定用：
		
		<div id="pullUp">
			<span class="pullUpIcon"></span><span class="pullUpLabel">上拉加载更多...</span>
		</div>
	****/

	/**
	 * 下拉刷新 （自定义实现此方法）
	 * myScroll.refresh();		// 数据加载完成后，调用界面更新方法
	 
	function pullDownAction () {
		setTimeout(function () {	// <-- Simulate network congestion, remove setTimeout from production!
			var el, li, i;
			el = $('#thelist');

			for (i=0; i<3; i++) {
				li = document.createElement('li');
				li.innerText = 'Generated row ' + (++generatedCount);
				el.insertBefore(li, el.childNodes[0]);
			}
			
			myScroll.refresh();		//数据加载完成后，调用界面更新方法   Remember to refresh when contents are loaded (ie: on ajax completion)
		}, 1000);	// <-- Simulate network congestion, remove setTimeout from production!
	}*/

	/**
	 * 滚动翻页 （自定义实现此方法）
	 * myScroll.refresh();		// 数据加载完成后，调用界面更新方法
	 
	function pullUpAction () {
		setTimeout(function () {	// <-- Simulate network congestion, remove setTimeout from production!
			var el, li, i;
			el = document.getElementById('thelist');

			for (i=0; i<3; i++) {
				li = document.createElement('li');
				li.innerText = 'Generated row ' + (++generatedCount);
				el.appendChild(li, el.childNodes[0]);
			}
			
			myScroll.refresh();		// 数据加载完成后，调用界面更新方法 Remember to refresh when contents are loaded (ie: on ajax completion)
		}, 1000);	// <-- Simulate network congestion, remove setTimeout from production!
	}*/

	/**
	 * 初始化iScroll控件
	 */
	function loaded(ele) {
		pullDownEl = $('#pullDown');
		pullDownL = pullDownEl.find('.pullDownLabel');
		pullDownEl['class'] = pullDownEl.attr('class');
		pullDownEl.attr('class', '').hide();

		pullUpEl = $('#pullUp');
		pullUpL = pullUpEl.find('.pullUpLabel');
		pullUpEl['class'] = pullUpEl.attr('class');
		pullUpEl.attr('class', '').hide();

		myScroll = new IScroll(ele, {
			probeType: 2, //probeType：1对性能没有影响。在滚动事件被触发时，滚动轴是不是忙着做它的东西。probeType：2总执行滚动，除了势头，反弹过程中的事件。这类似于原生的onscroll事件。probeType：3发出的滚动事件与到的像素精度。注意，滚动被迫requestAnimationFrame（即：useTransition：假）。  
			scrollbars: true, //有滚动条  
			mouseWheel: true, //允许滑轮滚动  
			fadeScrollbars: true, //滚动时显示滚动条，默认影藏，并且是淡出淡入效果  
			bounce: true, //边界反弹  
			interactiveScrollbars: true, //滚动条可以拖动  
			shrinkScrollbars: 'scale', // 当滚动边界之外的滚动条是由少量的收缩。'clip' or 'scale'.  
			click: true, // 允许点击事件  
			keyBindings: true, //允许使用按键控制  
			momentum: false // 允许有惯性滑动  
		});
		//滚动时  
		var whichEl = null;
		myScroll.on('scroll', function() {
			var maxy = this.maxScrollY;

			if (loadingStep == 0 && !pullDownEl.attr('class').match('flip|loading') && !pullUpEl.attr('class').match('flip|loading')) {
				//console.log("now y:",this.y);
				if (this.y >= 15) {
					if(whichEl == pullUpEl)return;
					//下拉刷新效果  
					pullDownEl.attr('class', pullDownEl['class'])
					pullDownEl.show();
					//myScroll.refresh();
					pullDownEl.addClass('flip');
					pullDownL.html('释放刷新...'+downHtmlTag);
					loadingStep = 1;
					whichEl = pullDownEl;
				} else if (this.y <= (maxy - 10)) {
					if(whichEl == pullDownEl)return;
					//上拉刷新效果  
					pullUpEl.attr('class', pullUpEl['class'])
					pullUpEl.show();
					myScroll.refresh();
					pullUpEl.addClass('flip');
					pullUpL.html('释放刷新...'+upHtmlTag);
					loadingStep = 1;
					whichEl = pullUpEl;
				}

			}
			else if (loadingStep == 1 && (pullDownEl.attr('class').match('flip') || pullUpEl.attr('class').match('flip')) ) {
				//console.log("now y:", this.y, loadingStep, pullDownEl.attr('class'));
				var pullDownElH = pullDownEl[0].offsetHeight;
				var pullUpElH = pullUpEl[0].offsetHeight;
				var uup = 15 - pullDownElH/2;
				var ddp = maxy + pullUpElH/2 - 10;
				if ( (this.y < uup) && (pullDownEl.attr('class').match('flip'))) {
					if(whichEl != pullDownEl) return;
					pullDownL.html('下拉显示更多...'+downHtmlTag);
					pullDownEl.attr('class', '');
					loadingStep = 0;
					//whichEl = null;
				}
				if( (this.y > ddp) && (pullUpEl.attr('class').match('flip'))) {
					if(whichEl != pullUpEl) return;
					pullUpL.html('上拉显示更多...'+upHtmlTag);
					pullUpEl.attr('class', '');
					loadingStep = 0;
					//whichEl = null;
				}
			}
		});
		//滚动完毕  
		myScroll.on('scrollEnd', function() {
			//console.log(pullDownEl.css('display'));
			var pdVisible = pullDownEl.css('display') == "block";
			var puVisible = pullUpEl.css('display') == "block";
			whichEl = null;
			if (loadingStep == 0){
				if(pdVisible){
					var oy = myScroll.y + pullDownEl[0].offsetHeight;
					pullDownEl.hide();
					myScroll.refresh();
					if(oy > 0) oy = 0;
					myScroll.scrollTo(0,oy);
				}
				if(puVisible){
					var oy = myScroll.y;
					var pullUpElH = pullUpEl[0].offsetHeight;
					pullUpEl.hide();
					myScroll.refresh();
					if(oy < myScroll.maxScrollY)
						oy = myScroll.maxScrollY;
					myScroll.scrollTo(0,oy);
				}
			}
			if (loadingStep == 1) {
				if (pullUpEl.attr('class').match('flip|loading')) {
					pullUpEl.removeClass('flip').addClass('loading');
					pullUpL.text('加载中...');
					loadingStep = 2;
					//console.log("pullUpAction ...");
					_pullUpAction();
				} else if (pullDownEl.attr('class').match('flip|loading')) {
					pullDownEl.removeClass('flip').addClass('loading');
					pullDownL.text('加载中...');
					loadingStep = 2;
					//console.log("pullDownAction ...");
					_pullDownAction();
				}
			}
		});
		return myScroll;
	}

	function _pullDownAction(){
		if(pullDownAction)
			setTimeout(pullDownAction,1000);
	}

	function _pullUpAction(){
		if(pullUpAction)
			setTimeout(pullUpAction,1000);
	}

	function create(opt) {
		//初始化绑定iScroll控件 
		document.addEventListener('touchmove', function(e) {
			e.preventDefault();
		}, false);
		pullDownAction = opt.pullDownAction;
		pullUpAction = opt.pullUpAction;
		return loaded(opt.ele);
	}

	function end() {
		pullDownEl.removeClass('loading');
		pullDownL.html('下拉显示更多...'+downHtmlTag);
		pullDownEl['class'] = pullDownEl.attr('class');
		pullDownEl.attr('class', '').hide();
		pullUpEl.removeClass('loading');
		pullUpL.html('上拉显示更多...'+upHtmlTag);
		pullUpEl['class'] = pullUpEl.attr('class');
		pullUpEl.attr('class', '').hide();
		try{
			myScroll.refresh();
		}catch(er){}
		loadingStep = 0;
	}

	var downHtmlTag = "";
	function setDownHtmlTag(html){
		downHtmlTag =  html;
		pullDownL.html('下拉显示更多...'+html);
	}

	var upHtmlTag = "";
	function setUpHtmlTag(html){
		upHtmlTag =  html;
		pullDownL.html('上拉显示更多...'+html);
	}

	return {
		create: create,
		end: end,
		setDownHtmlTag:setDownHtmlTag,
		setUpHtmlTag:setUpHtmlTag
	};
}