function weatherService() {
	var KIDE = ['晴','多云','阴','阵雨','雷阵雨','雷阵雨伴有冰雹',
	'雨夹雪','小雨','中雨','大雨','暴雨','大暴雨','特大暴雨','阵雪',
	'小雪','中雪','大雪','暴雪','雾','冻雨','沙尘暴','小到中雨','中到大雨',
	'大到暴雨','暴雨到大暴雨','大暴雨到特大暴雨','小到中雪','中到大雪',
	'大到暴雪','浮尘','扬沙','强沙尘暴','霾'];

	function getWCode(wstr){
		var wstr = $.trim(wstr)||"晴";
		var inx = KIDE.indexOf(wstr);
		return inx;
	}

	function getWIcon(wstr){
		var ix = getWCode(wstr);
		//使用雨标签
		if(ix>=21 && ix <=25)
			ix = ix - 13;
		//使用雪标签
		if(ix>=26 && ix <=28)
			ix = ix - 11;
		if(ix==30 || ix ==31)
			ix = 20;
		ix = ix +"";
		if(ix.length == 1)
			ix = "0"+ix;
		return "d"+ix+".png";
	}

	function getWBg(wstr){
		var ix = getWCode(wstr);
		if(ix == 5) ix = 4;
		if(ix == 8 || ix == 7 || ix == 3) ix = 6;
		if(ix>=10 && ix <=12) ix = 9;
		if(ix>=14 && ix <=17) ix = 13;
		if(ix>=21 && ix <=25) ix = 9;
		if(ix>=26 && ix <=28) ix = 13;
		if(ix>=29 && ix <=31) ix = 20;
		ix = ix +"";
		if(ix.length == 1)
			ix = "0"+ix;
		return "d"+ix+".jpg";
	}

/****
{
    "errNum": 0,
    "errMsg": "success",
    "retData": {
        "city": "北京",
        "pinyin": "beijing",
        "citycode": "101010100",
        "date": "2015-07-13",
        "dateStr": "07月13日",
        "time": "11:00",
        "postCode": "100000",
        "longitude": 116.391,
        "latitude": 39.904,
        "altitude": "33",
        "weather": "雷阵雨",
        "temp": "40",
        "l_tmp": "25",
        "h_tmp": "40",
        "WD": "无持续风向",
        "WS": "微风(<10m/h)",
        "sunrise": "04:56",
        "sunset": "19:43",
        "img": "d00.jpg",
        "icon": "d00.png"
    }
}
****/
	function getWeatherData(city,okf,errf){
		var APIKEY = BAIDUAPIKEY;
		if(typeof(api) == "undefined")
			return false;
		city = city || "上海";
		city = $.trim(city);
		var u = 'http://apis.baidu.com/apistore/weatherservice/cityname?'
		u += 'cityname='+city;
		//u = encodeURI(u);
		//console.log(">>>",u);
		api.ajax({
			headers:{apikey:APIKEY},
			type:'GET',
			url:u,
			dataType: 'json'
			},
			function(data,err){
				if(data){
					var ret = data.retData;
					ret.date = (new Date).format("yyyy-MM-dd");
					ret.dateStr = (new Date).format("MM月dd日");
		console.log("getWeatherData ok:",ret,(data));
					if(data.errNum == 0)
						if(okf)
							okf(ret);
					else{
						//console.log("getWeather error:",data);
						if(errf)
							errf(data);
					}
				}
				if(err){
					if(errf) errf(err);
					console.log('getWeatherData net error:',err);
				}
			}
		);
	}


	//getWeather
	function getWeather(city,okf,errf){
		function bk(ret){
			var wImg = getWBg(ret.weather);
			var wIcon = getWIcon(ret.weather);
			ret.img = wImg;
			ret.icon = wIcon;
			if(okf)
				okf(ret);
		}
		getWeatherData(city,bk,errf);
	}

	return {getWeather:getWeather};
}